Subject: Re: [PATCH v7] submodule merge: update conflict error message

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Aug 2022 14:11:38 -0700

Calvin Wan <[email-masked]> writes:

> I'm thinking something like this:
>
> "go to submodule ('sub' : 'a'), and either merge commit 'b'\n"
> "go to submodule ('sub', 'a'), and either merge commit 'b'\n"
> "go to submodule 'sub', commit 'a', and either merge commit 'b'\n"

In the first two, I suspect that it may not be quite clear what 'a'
means to the user.  In the third one, the first "commit" might be
mistaken as a verb.  I am tempted to say

    cd to <sub>, run "checkout --detach <a>" then "merge <b>"

but that may be a bit too prescriptive.  I dunno.